package cn.iocoder.yudao.module.contract.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    // ========== 采购合同信息 1_052_000_001 ==========
    ErrorCode SUPPLIER_CONTRACT_NOT_EXISTS = new ErrorCode(1_052_000_001, "采购合同信息不存在");
    ErrorCode SUPPLIER_CONTRACT_NOT_CLOSED = new ErrorCode(1_052_000_002, "采购合同已经是开启状态");
    ErrorCode SUPPLIER_CONTRACT_CODE_EXISTS = new ErrorCode(1_052_000_003, "采购合同编号已存在");
    ErrorCode SUPPLIER_CONTRACT_NAME_EXISTS = new ErrorCode(1_052_000_004, "采购合同名称已存在");
    ErrorCode SUPPLIER_CONTRACT_START_DATE_GREATER_THAN_END_DATE = new ErrorCode(1_052_000_005, "采购合同开始日期不能大于结束日期");
    // ========== 采购合同历史信息 1_052_001_001 ==========
    ErrorCode SUPPLIER_CONTRACT_HISTORY_NOT_EXISTS = new ErrorCode(1_052_001_001, "采购合同历史信息不存在");

    // ========== 销售合同信息 1_052_002_001 ==========
    ErrorCode CUSTOMER_CONTRACT_NOT_EXISTS = new ErrorCode(1_052_002_001, "销售合同信息不存在");
    ErrorCode CUSTOMER_CONTRACT_NOT_CLOSED = new ErrorCode(1_052_002_002, "销售合同已经是开启状态");
    ErrorCode CUSTOMER_CONTRACT_CODE_EXISTS = new ErrorCode(1_052_002_003, "销售合同编号已存在");
    ErrorCode CUSTOMER_CONTRACT_NAME_EXISTS = new ErrorCode(1_052_002_004, "销售合同名称已存在");
    ErrorCode CUSTOMER_CONTRACT_START_DATE_GREATER_THAN_END_DATE = new ErrorCode(1_052_002_005, "销售合同开始日期不能大于结束日期");
    // ========== 销售合同历史信息 1_052_003_001 ==========
    ErrorCode CUSTOMER_CONTRACT_HISTORY_NOT_EXISTS = new ErrorCode(1_052_003_001, "销售合同历史信息不存在");

}
